Package org.eclipse.graphiti.notification

# Interface INotificationService

All Known Implementing Classes:
  `DefaultNotificationService`

public interface INotificationService
The Interface INotificationService.

## Method Summary

Modifier and Type
Method
Description
`PictogramElement[]`
`calculateRelatedPictogramElements(Object[] bos)`
Calculate dirty pictogram elements.
`void`
`updatePictogramElements(PictogramElement[] pes)`
Update dirty pictogram elements.

## Method Details

### calculateRelatedPictogramElements

PictogramElement[] calculateRelatedPictogramElements(Object[] bos)
Calculate dirty pictogram elements.

Parameters:
  `bos` - the changed business objects
Returns:
  the pictogram element[]

### updatePictogramElements

void updatePictogramElements(PictogramElement[] pes)
Update dirty pictogram elements.

Parameters:
  `pes` - the dirty pes